Bug 1414487 - The redhat upgrade tool requires many customers to sync the rhel-7-server-optional-rpms repo
Summary: The redhat upgrade tool requires many customers to sync the rhel-7-server-opt...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: redhat-upgrade-tool
Version: 6.8
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 16:06 UTC by jcastran
Modified: 2020-02-14 18:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 23:41:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description jcastran 2017-01-18 16:06:12 UTC
Description of problem:
   The redhat upgrade tool requires many customers to sync the rhel-7-server-optional-rpms repo. This means that customers who require optional packages for the update to complete, they need to install another RHEL 7 machine, sync the packages, and host a repository.



Version-Release number of selected component (if applicable):
   RHEL 6->7
   redhat-upgrade-tool

How reproducible:
   Most of the time

Steps to Reproduce:
1. Have a RHEL 6.8 Machine and do steps 1-3 in the KCS for upgrades. https://access.redhat.com/solutions/637583
2. Run preupg
3. Reviewing the needs_action (in result.html) it will require you to have the optional repository available for the upgrade.

Actual results:
   Customers have to install RHEL 7 on another machine, reposync rhel-7-server-optional-rpms, createrepo, then setup FTP,HTTP,or NFS to host the repository publicly. 

Expected results:
   Either the upgrade doesn't require the optional repository, or we provide an iso that contains the base packages and optional.

Additional info:
   If they are using Satellite, they still have to setup a public repo as the upgrade can not access the Satellite repos
   This is the largest issue with upgrades that I see quite often. Many customers do not have resources to make another system. The update usually only needs a few packages in optional and only the versions from the GA release. Not the entire repository
   When reviewing the results.html, it will provide a list of every package on your system that moved from the base channel (rhel-6-server-rpms) to the optional channel (rhel-7-server-optional-rpms)


Can we provide an iso specifically for the upgrade that has optional and base repos so that customers don't need to go through the extra work and resources just to update?

Comment 2 Petr Stodulka 2017-01-20 12:24:46 UTC
Hi Jan,
it is RFE more for managers than developers. Be aware, that SUPPORTED inplace-upgrade is possible only with very limited supported set of packages, mentioned in the article. All these supported packages should be available on the base channel and shouldn't require optional channel at all.

AFAIK, officialy user should remove all packages, which are not part of the mentioned set of supported packages. The provided extra funcionality is more like benefit, available for testing.

As I said, question about possible ISO or repository is not possible to answer from developers.


Note You need to log in before you can comment on or make changes to this bug.